/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */

#include <cxxtest/TestSuite.h>

#include "configuration.hh"

class Configuration_test: public CxxTest::TestSuite
{
public:

  void test_accessors(void)
  {
    // Non-configured values
    TS_ASSERT(! Configuration::is_configured("miaou")) ;
    TS_ASSERT(! Configuration::is_configured("ouaf")) ;

    /*
     * Due to the lack of direct variables_map manipulators, it is
     * hard to manually add values in order to test them.
     * Some other tests are done in userinterface_test.hh.
     */
  }

} ;
